package dto

import (
	"github.com/oklog/ulid/v2"
)

type CompanyDto struct {
	ID   ulid.ULID `json:"id"`
	Name string    `json:"name"`
}

type CompanyCreateDto struct {
	Name string `json:"name"`
}

type CompanyUpdateDto struct {
	ID   ulid.ULID `json:"id"`
	Name *string   `json:"name"`
}
