package dto

import (
	"github.com/oklog/ulid/v2"
)

type CustomerDto struct {
	ID        ulid.ULID `json:"id"`
	Name      string    `json:"name"`
	CompanyID int       `json:"companyId"`
}

type CustomerCreateDto struct {
	Name      string `json:"name"`
	CompanyID int    `json:"companyId"`
}

type CustomerUpdateDto struct {
	ID        ulid.ULID `json:"id"`
	Name      *string   `json:"name"`
	CompanyID *int      `json:"companyId"`
}
